Asynchronously process single IoT message or array of messages
Asynchronously processes IoT messages. Returns immediately with a batch ID for tracking. Accepts either a single message or an array of messages. Processing status is logged and can be monitored via the batch ID. Messages are processed in the background with a 30-second timeout.
Authorizations:
Request Body schema: application/jsonrequired
Array of IoT messages or single message
object | |
| evolveSchema | boolean |
object | |
object (godip_internal_model.Geo) Geographic coordinates with latitude, longitude, altitude, heading, and speed | |
| id | string |
object | |
| tenant | string |
| thingType required | string |
| time | string |
Responses
Request samples
- Payload
[- {
- "data": {
- "temperature": "25.5"
}, - "evolveSchema": true,
- "formatters": {
- "property1": "string",
- "property2": "string"
}, - "geo": {
- "altitude": 0,
- "heading": 0,
- "latitude": 0,
- "longitude": 0,
- "speed": 0
}, - "id": "msg123",
- "tags": {
- "location": "room1"
}, - "tenant": "example_tenant",
- "thingType": "sensor",
- "time": "2025-01-17T08:30:00Z"
}
]Response samples
- 200
- 400
- 500
{- "elapsed_ms": 1234,
- "message": "success",
- "processed": 2
}Process single IoT message or array of messages synchronously
Process single IoT message or array of messages synchronously
Authorizations:
Request Body schema: application/jsonrequired
Array of IoT messages or single message
object | |
| evolveSchema | boolean |
object | |
object (godip_internal_model.Geo) Geographic coordinates with latitude, longitude, altitude, heading, and speed | |
| id | string |
object | |
| tenant | string |
| thingType required | string |
| time | string |
Responses
Request samples
- Payload
[- {
- "data": {
- "temperature": "25.5"
}, - "evolveSchema": true,
- "formatters": {
- "property1": "string",
- "property2": "string"
}, - "geo": {
- "altitude": 0,
- "heading": 0,
- "latitude": 0,
- "longitude": 0,
- "speed": 0
}, - "id": "msg123",
- "tags": {
- "location": "room1"
}, - "tenant": "example_tenant",
- "thingType": "sensor",
- "time": "2025-01-17T08:30:00Z"
}
]Response samples
- 200
- 400
- 500
{- "elapsed_ms": 1234,
- "message": "success",
- "processed": 2
}Asynchronously process telemetry messages for a given tenant and device
Asynchronously processes telemetry messages for a given tenant and device. Returns immediately with a batch ID for tracking. Accepts either a single message or an array of messages. Messages are processed in the background with a 30-second timeout.
Authorizations:
path Parameters
| tenant required | string Tenant Identifier |
| thingtype required | string ThingType |
| id required | string Device ID |
Request Body schema: application/jsonrequired
Array of IoT messages or a single message
object | |
| evolveSchema | boolean |
object | |
object (godip_internal_model.Geo) Geographic coordinates with latitude, longitude, altitude, heading, and speed | |
object | |
| time | string |
Responses
Request samples
- Payload
[- {
- "data": {
- "temperature": "25.5"
}, - "evolveSchema": true,
- "formatters": {
- "property1": "string",
- "property2": "string"
}, - "geo": {
- "altitude": 0,
- "heading": 0,
- "latitude": 0,
- "longitude": 0,
- "speed": 0
}, - "tags": {
- "location": "room1"
}, - "time": "2025-01-17T08:30:00Z"
}
]Response samples
- 200
- 400
- 500
{- "elapsed_ms": 1234,
- "message": "success",
- "processed": 2
}